import { type CSSResultGroup, LitElement, type TemplateResult } from 'lit';
import '../play-button.js';
declare global {
    interface HTMLElementEventMap {
    }
    interface HTMLElementTagNameMap {
        'play-dialog': PlayDialog;
    }
}
export interface PlayDialogLike {
    open(): void;
    close(): void;
}
export declare class PlayDialog extends LitElement implements PlayDialogLike {
    static readonly styles: CSSResultGroup;
    dialogTitle: string;
    description: string;
    private _dialog;
    open(): void;
    close(): void;
    protected render(): TemplateResult;
}
